SoGLTexture3EnabledElement Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoGLTexture3EnabledElement Class Reference
Element Classes

The SoGLTexture3EnabledElement class is an element which controls whether 3D texturing is enabled or not.Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API. More...

`#include <Inventor/elements/SoGLTexture3EnabledElement.h>`

Inherits SoTexture3EnabledElement.

## Public Member Functions
virtual void | init (SoState *state)
| FIXME: write doc.
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
virtual void | setElt (int32_t value)
| FIXME: write doc.

## Static Public Member Functions
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *const state, SoNode *const node, const SbBool enabled)
static void | set (SoState *const state, const SbBool enabled)
static SbBool | get (SoState *const state)
static SbBool | getDefault (void)

## Protected Member Functions
virtual | ~SoGLTexture3EnabledElement ()

## Detailed Description

The SoGLTexture3EnabledElement class is an element which controls whether 3D texturing is enabled or not.

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 2.0
  TGS Inventor 2.6

## Constructor & Destructor Documentation

SoGLTexture3EnabledElement::~SoGLTexture3EnabledElement | ( | void |  | ) |
| protectedvirtual

The destructor.

## Member Function Documentation

void * SoGLTexture3EnabledElement::createInstance | ( | void |  | ) |
| static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoGLTexture3EnabledElement::push | ( | SoState * | state | ) |
| virtual

This method is called every time a new element is required in one of the stacks. This happens when a writable element is requested, using SoState::getElement() or indirectly SoElement::getElement(), and the depth of the current element is less than the state depth.

Override this method if your element needs to copy data from the previous top of stack. The push() method is called on the new element, and the previous element can be found using SoElement::getNextInStack().

Reimplemented from SoElement.

void SoGLTexture3EnabledElement::pop | ( | SoState * | state,
|  | const SoElement * | prevTopElement
| ) |  |
| virtual

This method is callled when the state is popped, and the depth of the element is bigger than the current state depth. pop() is called on the new top of stack, and a pointer to the previous top of stack is passed in prevTopElement.

Override this method if you need to copy some state information from the previous top of stack.

Reimplemented from SoElement.

void SoGLTexture3EnabledElement::set | ( | SoState *const | state,
|  | SoNode *const | node,
|  | const SbBool | enabled
| ) |  |
| static

Sets the state of this element.

void SoGLTexture3EnabledElement::set | ( | SoState *const | state,
|  | const SbBool | enabled
| ) |  |
| static

Sets the state of the element.

SbBool SoGLTexture3EnabledElement::get | ( | SoState *const | state | ) |
| static

Return current state of this element.

SbBool SoGLTexture3EnabledElement::getDefault | ( | void |  | ) |
| static

Returns default state of this element (FALSE).

The documentation for this class was generated from the following files:

- SoGLTexture3EnabledElement.h
- SoGLTexture3EnabledElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.